package com.flyer.foster.controller.app;

import com.flyer.foster.dto.TreeAddDTO;
import com.flyer.foster.dto.TreeUpdateDTO;
import com.flyer.foster.entity.Tree;
import com.flyer.foster.service.ITreeService;
import com.flyer.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.List;

/**
 * 树
 *
 * @author flyer
 * @since 2024-05-09
 */
@RestController
@RequestMapping("/app/tree")
public class AppTreeController {
    @Autowired
    private ITreeService iTreeService;

    /**
     * 根据gardenId获取详情
     * @param gardenId
     * @return
     */
    @GetMapping("/list/{gardenId}")
    public R getTreeByGardenId(@PathVariable Integer gardenId) {
        return R.ok().result(iTreeService.getTreeById(gardenId));
    }

    /**
     * 返回区域随机的一棵树
     * @return
     */
    @GetMapping("/getRandomTree/{areaId}")
    public R getRandomTree(@PathVariable Integer areaId){
        return R.ok().result(iTreeService.lambdaQuery().eq(Tree::getAreaId, areaId).list());
    }
}
