package com.flyer.foster.enums;

import lombok.Getter;

/**
 * IsAdminEnum
 *
 * @author kelei
 * @since 2023/3/24/21:42
 */
@Getter
public enum IsAdminEnum {
    NO(0, "不是管理员"),

    YES(1, "是管理员");

    private final Integer id;

    private final String name;

    IsAdminEnum(Integer id, String name) {
        this.id = id;
        this.name = name;
    }

    /**
     * 根据id获取值
     *
     * @param id id
     * @return
     */
    public static String getIsAdminName(Integer id) {
        for (IsAdminEnum value : IsAdminEnum.values()) {
            if (value.getId().equals(id)) {
                return value.getName();
            }
        }
        return null;
    }
}
