package com.flyer.foster.pojo;

import lombok.Data;

/**
 * 调用微信code2Session接口返回对象
 * 官方文档：https://developers.weixin.qq.com/miniprogram/dev/OpenApiDoc/user-login/code2Session.html
 *
 * @author kelei
 * @since 2024/5/11/14:58
 */
@Data
public class Code2SessionResp {
    /**
     * 会话密钥
     */
    private String session_key;

    /**
     * 用户在开放平台的唯一标识符，若当前小程序已绑定到微信开放平台账号下会返回
     */
    private String unionid;

    /**
     * 错误信息
     */
    private String errmsg;

    /**
     * 用户唯一标识
     */
    private String openid;

    /**
     * 错误码
     */
    private Integer errcode;
}
