package com.flyer.foster.service;

import com.flyer.foster.dto.RoleAddDTO;
import com.flyer.foster.dto.RoleRespDTO;
import com.flyer.foster.dto.RoleUpdateDTO;
import com.flyer.foster.entity.Role;
import com.baomidou.mybatisplus.extension.service.IService;
import com.flyer.foster.pojo.Dropdown;

import java.util.List;

/**
 * <p>
 * 角色表 服务类
 * </p>
 *
 * @author flyer
 * @since 2024-05-06
 */
public interface IRoleService extends IService<Role> {
    List<RoleRespDTO> getRoleList();

    boolean addRole(RoleAddDTO addDTO);

    boolean updateRole(RoleUpdateDTO updateDTO);

    /**
     * 删除角色
     *
     * @param roleIdList
     * @return
     */
    boolean deleteRole(List<Integer> roleIdList);

    /**
     * 角色下拉框数据
     *
     * @return
     */
    List<Dropdown> getDropdownList();
}
