package com.flyer.foster.util;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 获取 WX 单例 AccessToken
 */
@Data
public class WxAccessToken {

    private static WxAccessToken instance;


    public static WxAccessToken getInstance(WeChatApiUtil weChatApiUtil, String appId, String secret){
        if(instance != null && !instance.isExpires()){
            return instance;
        }
        JSONObject obj= weChatApiUtil.getAccessToken(appId, secret);
        instance = new WxAccessToken();
        instance.expires_in = obj.getInteger("expires_in");
        instance.expires = LocalDateTime.now().plusSeconds(instance.expires_in - 100);
        instance.access_token = obj.getString("access_token");
        return instance;
    }

    /**
     * 判断当期token是否过期
     * @return
     */
    private boolean isExpires(){
        return LocalDateTime.now().isAfter(instance.expires);
    }


    private WxAccessToken(){}

    private LocalDateTime expires;
    private String access_token;
    private Integer expires_in;



}
